/* general styles */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  font-family: sans-serif;
}
a {
  text-decoration: none;
  color: black;
}
ul,
li {
  list-style: none;
}
.container {
  max-width: 1200px;
  margin: 0 auto;
}
/* ..........loader.......... */
.loader {
  position: fixed;
  width: 100%;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.705);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 100;
}
.loader i {
  font-size: 80px;
  color: #0d7742ce;
  animation: spinner 0.5s infinite linear reverse;
}
.loader h4 {
  font-size: 40px;
  color: lightseagreen;
}
@keyframes spinner {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}
/* elevator */
.elevator {
  position: fixed;
  bottom: 20px;
  right: 20px;
  width: 40px;
  height: 40px;
  background-color: #58c4a7;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  transition: 0.3s;
  border: 2px solid #154236;
  border-radius: 50%;
  display: none;
  z-index: 100;
}
/* toggle menu */
.toggle-menu-open,
.toggle-menu-close {
  display: none;
  font-size: 30px;
  cursor: pointer;
  transition: 0.3s;
  padding: 3px;
  color: black;
}
.toggle-menu-open {
  margin-left: 7px;
}
.mobile-main-menu {
  display: none;
}
/* fixed-menu */
.box {
  width: 100%;
  font-size: 30px;
  opacity: 0;
  visibility: hidden;
}
.menu {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  transition: 0.5s;
  background-color: white;
  border-bottom: 1px solid rgb(206, 201, 201);
  z-index: 100;
}
.menu:hover {
  opacity: 1;
}
/* header */
.header {
  width: 100%;
  margin: 0 auto;
}
/* main nav */
.header .main-nav {
  width: 100%;
}
.header .container {
  padding: 10px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: relative;
}
/* logo */
.header .container .logo {
  font-size: 30px;
  padding: 10px 20px;
}
/* main-menu */
.header .container .main-menu {
  display: flex;
  font-weight: bolder;
}
.main-menu li a {
  margin: 0 20px;
  border-bottom: 3px solid transparent;
  padding: 30px 5px;
}
/* mega-menu */
.main-menu li > .mega {
  width: 100%;
  position: absolute;
  left: 0;
  top: 100%;
  z-index: 50;
  opacity: 0;
  visibility: hidden;
  display: flex;
  background-color: white;
  box-shadow: 1px 1px 10px 1px rgb(150, 148, 148);
}
.mega .sub-menu h3 {
  /* background-color: red; */
  text-align: center;
  margin: 10px 0;
}
.main-menu li:hover > .mega {
  visibility: visible;
  opacity: 1;
  transition: 1s;
  border-top: 3px solid #58c4a7;
  transform-origin: center top;
}
.mega ul {
  width: 25%;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 10px;
}
.mega ul li {
  display: flex;
}
.mega .sub-menu {
  border-right: 1px solid rgb(209, 200, 200);
}
.mega ul li a {
  padding: 20px 0;
  margin-bottom: 5px;
  color: rgb(94, 83, 83);
}
.mega ul li a:hover {
  color: #58c4a7;
}
.mega .main-menu > ul li a:hover {
  border-bottom: 3px solid #58c4a7;
}
/* main-search */
.header .container .search {
  font-size: 25px;
  padding: 10px 20px;
  display: flex;
  align-items: center;
}
.header .container .search form {
  padding: 5px 10px;
}
.header .container .search form input {
  width: 400px;
  padding: 5px 10px;
  display: none;
}
.header .container .search a:last-child {
  margin-left: 20px;
}
/* slider */
.slider {
  width: 100%;
  height: 500px;
  background-color: gray;
}
.slider .item1 {
  width: 100%;
  height: 500px;
  background: gray url("../img/home-slider-1-slide-1.jpg") no-repeat 0 0;
  background-size: cover;
  text-align: center;
}
.slider .item2 {
  width: 100%;
  height: 500px;
  background: gray url("../img/home-slider-1-slide-2.jpg") no-repeat 0 0;
  background-size: cover;
  text-align: center;
}
.slider .item3 {
  width: 100%;
  height: 500px;
  background: gray url("../img/home-slider-1-slide-3.jpg") no-repeat 0 0;
  background-size: cover;
  text-align: center;
}
.item1 .container,
.item2 .container,
.item3 .container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  position: relative;
  animation-name: slider-animate;
  animation-duration: 3s;
  animation-fill-mode: both;
  animation-iteration-count: 3;
}
@keyframes slider-animate {
  0% {
    bottom: -130px;
    left: 0;
    opacity: 0;
  }
  100% {
    left: 0;
    bottom: 5px;
    opacity: 1;
  }
}
.item1 .container h2,
.item2 .container h2,
.item3 .container h2 {
  margin-top: 80px;
  color: white;
  font-size: 60px;
}
.item1 .container p,
.item2 .container p,
.item3 .container p {
  margin-top: 30px;
  width: 60%;
  line-height: 30px;
  color: white;
  font-size: 20px;
}
.item1 .container div,
.item2 .container div,
.item3 .container div {
  margin-top: 80px;
}
.item1 .container div a:first-child,
.item2 .container div a:first-child,
.item3 .container div a:first-child {
  border: 2px solid white;
  border-radius: 3px;
  color: white;
  padding: 20px 30px;
  font-weight: bold;
  margin-right: 18px;
  background-color: transparent;
}
.item1 .container div a:first-child:hover,
.item2 .container div a:first-child:hover,
.item3 .container div a:first-child:hover {
  background-color: #58c4a7;
  border: 2px solid transparent;
}
.item1 .container div a:last-child,
.item2 .container div a:last-child,
.item3 .container div a:last-child {
  border-radius: 3px;
  color: white;
  padding: 21px 31px;
  font-weight: bold;
  background-color: #58c4a7;
}
.item1 .container div a:last-child:hover,
.item2 .container div a:last-child:hover,
.item3 .container div a:last-child:hover {
  background-color: #2f8d74;
}
/* main */
.main {
  width: 100%;
  margin: 0 auto;
}
/* portfolio */
.main .portfolio {
  width: 100%;
  margin-bottom: 80px;
}
.main .portfolio h2 {
  margin-bottom: 50px;
  text-align: center;
  font-size: 40px;
  margin-top: 100px;
}
.main .portfolio h2 span {
  color: gray;
}
.main .portfolio .container .portfolio-img-main {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}
.main .portfolio .container .portfolio-img {
  width: 32%;
  margin-bottom: 2%;
  box-shadow: 1px 1px 10px 1px rgb(150, 148, 148);
  position: relative;
  overflow: hidden;
}
.main .portfolio .container .portfolio-img .item {
  width: 100%;
  color: black;
  background-color: rgb(216, 207, 207);
  font-size: 20px;
  position: absolute;
  transition: 0.5s;
}
.portfolio-img .item1 {
  top: 100%;
  left: 0;
  text-align: center;
  line-height: 50px;
}
.portfolio-img:hover .item1 {
  top: 83%;
}
.main .portfolio .container .portfolio-img img {
  width: 100%;
  display: block;
  transition: 0.5s;
}
.portfolio-img:hover img {
  transform: scale(1.2);
}
/* pages */
.main .pages {
  width: 100%;
  background-color: #faf6f6;
  padding-bottom: 120px;
}
.main .pages h3 {
  text-align: center;
  padding-top: 80px;
  padding-bottom: 40px;
  font-size: 30px;
}
.main .pages .filter-btns {
  width: 100%;
  padding: 20px;
  text-align: center;
  margin-bottom: 15px;
}
.filter-btns span {
  margin: 0 10px;
  padding: 5px;
  font-weight: bold;
  cursor: pointer;
}
.filter-btns span:hover {
  color: #58c4a7;
}
.filter-btns span:first-child {
  color: #58c4a7;
  border-bottom: 2px solid #58c4a7;
}
.pages .container .pages-details {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}
.pages .container .pages-details .pages-details-img {
  width: 23%;
  margin-bottom: 2%;
  box-shadow: 1px 1px 10px 1px rgb(150, 148, 148);
  position: relative;
  overflow: hidden;
}
.pages .container .pages-details .pages-details-img img {
  width: 100%;
  display: block;
  transition: 0.5s;
}
.pages-details-img:hover img {
  transform: scale(1.2);
}
.main .container .pages-details .pages-details-img .item {
  width: 100%;
  color: black;
  background-color: rgb(216, 207, 207);
  font-size: 18px;
  position: absolute;
  transition: 0.5s;
}
.pages-details-img .item1 {
  top: 100%;
  left: 0;
  text-align: center;
  line-height: 50px;
}
.pages-details-img:hover .item1 {
  top: 76%;
}
/* picture */
.main .picture {
  width: 100%;
  height: 400px;
  background: gray url("../img/parallax-1.jpg") no-repeat 50%;
  background-size: auto;
  background-attachment: fixed;
}
.picture .container {
  max-width: 1200px;
  margin: 0 auto;
  display: flex;
  justify-content: space-around;
  align-items: center;
}
.main .picture .container div {
  margin-top: 100px;
  display: flex;
  flex-direction: column;
  padding: 5px;
  align-items: center;
}
.main .picture .container div i {
  color: #58c4a7;
  margin-bottom: 10px;
  font-size: 50px;
}
.main .picture .container div h4 {
  color: white;
  display: block;
  font-size: 50px;
  margin-bottom: 10px;
}
.main .picture .container div h5 {
  color: gray;
  font-size: 20px;
}
/* get */
.main .get {
  width: 100%;
  margin-top: 100px;
  margin-bottom: 100px;
}
.main .get .container h3 {
  text-align: center;
  padding: 40px;
  font-size: 35px;
}
.main .get .container h3 span {
  color: gray;
}
.main .get .container .get-details {
  width: 100%;
  display: flex;
  justify-content: space-between;
}
.main .get .container .get-details div {
  width: 32%;
  border: 1px solid #58c4a723;
  padding: 70px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  text-align: center;
}
.get-details div h6 {
  border-bottom: 2px solid transparent;
  font-size: 25px;
  margin-bottom: 18px;
}
.get-details div:hover h6 {
  border-bottom: 2px solid #58c4a7;
}
.get-details div i {
  font-size: 45px;
  margin-bottom: 20px;
  color: #58c4a7;
}
.get-details div p {
  color: gray;
}
/* layout */
.main .layout {
  width: 100%;
  background-color: #f9f9f9;
  margin-top: 100px;
  padding: 100px 0;
}
.main .layout .container {
  display: flex;
}
.main .layout .container img {
  width: 70%;
}
.main .layout .container .layout-details {
  width: 30%;
}
.main .layout .container .layout-details h3 {
  font-size: 40px;
  padding-top: 50px;
}
.main .layout .container .layout-details p {
  margin-top: 30px;
  margin-bottom: 50px;
}
.main .layout .container .layout-details button {
  padding: 20px 60px;
  font-size: 40x;
  background-color: #58c4a7;
  border: none;
  border-radius: 5px;
}
.layout-details button a {
  color: white;
  font-weight: bolder;
}
/* variation */
.main .variation {
  width: 100%;
  height: 400px;
  background: gray url("../img/landing-parallax-1.jpg") no-repeat 50%;
  background-size: auto;
  background-attachment: fixed;
}
.main .variation h3 {
  text-align: center;
  padding-top: 100px;
  margin-bottom: 50px;
  color: white;
  font-size: 40px;
}
.main .variation .container .variation-details {
  width: 100%;
  display: flex;
  justify-content: space-around;
  align-items: center;
}
/* template */
.main .template {
  width: 100%;
}
.main .template .container {
  display: flex;
  justify-content: center;
}
.template-details h3,
p {
  text-align: center;
}
.template-details h3 {
  margin-top: 100px;
  font-size: 30px;
  margin-bottom: 20px;
}
.template-details p {
  margin-bottom: 40px;
}
.template-details div img {
  display: block;
  width: 100%;
}
/* engine */
.main .engine {
  width: 100%;
  height: 400px;
  background: gray url("../img/landing-parallax-2.jpg") no-repeat 50%;
  background-size: auto;
  background-attachment: fixed;
  margin-top: 40px;
}
.main .engine .container {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.main .engine .container h3 {
  margin-top: 100px;
  color: white;
  font-size: 40px;
  margin-bottom: 30px;
}
.main .engine .container p {
  color: white;
  margin-bottom: 30px;
}
.main .engine .container button {
  background-color: #58c4a7;
  border: none;
  border-radius: 5px;
}
.main .engine .container button a {
  color: white;
  padding: 20px 40px;
  font-size: 18px;
  display: block;
}
/* free */
.main .free {
  width: 100%;
  text-align: center;
  margin-top: 100px;
  margin-bottom: 50px;
}
.main .free h2 {
  font-size: 90px;
  color: rgb(182, 180, 180);
  font-weight: bolder;
}
.main .free img {
  margin-right: 20px;
}
.main .free h3 {
  font-size: 40px;
}
.main .free h3 span {
  color: gray;
}
/* support */
.main .support {
  width: 100%;
  height: 400px;
  background: gray url("../img/landing-parallax-3.jpg") no-repeat 50%;
  background-size: auto;
  background-attachment: fixed;
}
.main .support .container {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
}
.main .support .container h2 {
  margin-top: 100px;
  color: white;
  font-size: 40px;
}
.main .support .container h2 span {
  color: gray;
}
.main .support .container p {
  width: 40%;
  margin-top: 20px;
  line-height: 20px;
  margin-bottom: 40px;
  color: white;
}
.main .support .container button {
  background-color: #58c4a7;
  border: none;
  border-radius: 5px;
}
.main .support .container button a {
  color: white;
  padding: 20px 40px;
  font-size: 18px;
  display: block;
}
/* footer */
.footer {
  width: 100%;
  margin: 0 auto;
}
.footer .head-footer {
  width: 100%;
  background-color: #111111;
}
.footer .head-footer .container {
  max-width: 1200px;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-self: center;
  padding: 50px 0;
}
.footer .head-footer .container .logo {
  width: 24%;
  display: flex;
  align-items: center;
  justify-content: center;
}
.footer .head-footer .container .logo a,
.footer .head-footer .container .logo span {
  font-size: 30px;
  color: white;
}
.footer .head-footer .container .location {
  width: 24%;
  display: flex;
  align-items: center;
  justify-content: center;
}
.footer .head-footer .container .location i {
  font-size: 25px;
  color: gray;
}
.footer .head-footer .container .location div {
  display: flex;
  flex-direction: column;
  margin-left: 15px;
}
.footer .head-footer .container .location div a {
  color: gray;
  line-height: 25px;
}
.footer .head-footer .container .location div a:hover {
  color: #58c4a7;
}
.footer .head-footer .container .call {
  width: 24%;
  display: flex;
  align-items: center;
  justify-content: center;
}
.footer .head-footer .container .call i {
  font-size: 25px;
  color: gray;
}
.footer .head-footer .container .call div {
  display: flex;
  flex-direction: column;
  margin-left: 15px;
}
.footer .head-footer .container .call div a {
  color: gray;
  line-height: 25px;
}
.footer .head-footer .container .call div a:hover {
  color: #58c4a7;
}
.footer .head-footer .container .social {
  width: 24%;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 20px;
}
.footer .head-footer .container .social a {
  font-size: 30px;
  color: gray;
  margin-right: 5px;
}
.footer .head-footer .container .social a:hover {
  color: white;
}

.footer .below-footer {
  width: 100%;
  background-color: #000000;
}
.footer .below-footer p {
  color: white;
  text-align: center;
  padding: 50px;
}
.footer .below-footer p a {
  color: #58c4a7;
}

/* ------------------------responsive-------------------- */

/* width 1210 */
@media (max-width: 1210px) {
  .main .portfolio .container .portfolio-img-main {
    justify-content: space-evenly;
  }
  .main .portfolio .container .portfolio-img {
    width: 30%;
  }
  .pages .container .pages-details {
    justify-content: space-evenly;
  }
  .pages .container .pages-details .pages-details-img {
    width: 21%;
    margin-bottom: 3%;
  }
  .main .get .container .get-details {
    justify-content: space-evenly;
  }
  .main .get .container .get-details div {
    width: 30%;
  }
  .main .layout .container img {
    width: 50%;
  }
  .main .layout .container .layout-details {
    width: 50%;
  }
}
/* width 1091 */
@media (max-width: 1091px) {
  .header .container {
    padding: 8px;
  }
}

/* width 1087 */
@media (max-width: 1087px) {
  .header .container .logo {
    padding: 10px 17px;
  }
}

/* width 1081 */
@media (max-width: 1081px) {
  .header .container .logo {
    padding: 10px 15px;
  }
}

/* width 1077 */
@media (max-width: 1077px) {
  .header .container .logo {
    padding: 10px 13px;
  }
}
/* width 1077 */
@media (max-width: 1077px) {
  .header .container .logo {
    font-size: 28px;
  }
}

/* width 1062 */
@media (max-width: 1062px) {
  .header .container .logo {
    font-size: 26px;
  }
}

/* width 1051 */
@media (max-width: 1051px) {
  .header .container .search a:last-child {
    margin-left: 15px;
  }
}

/* width 1041 */
@media (max-width: 1041px) {
  .header .container .search a:last-child {
    margin-left: 12px;
  }
}

/* width 1035 */
@media (max-width: 1035px) {
  .header .container .search a:last-child {
    margin-left: 10px;
  }
}

/* width 1031 */
@media (max-width: 1031px) {
  .header .container .logo {
    font-size: 24px;
  }
}

/* width 1025 */
@media (max-width: 1025px) {
  .main .layout .container .layout-details h3 {
    font-size: 30px;
  }
}

/* width 1020 */
@media (max-width: 1020px) {
  .header .container .search {
    font-size: 20px;
  }
}

/* width 1010 */
@media (max-width: 1010px) {
  .header .container .search a:last-child {
    margin-left: 8px;
  }
}

/* width 1006 */
@media (max-width: 1006px) {
  .main-menu li a {
    margin: 0 18px;
  }
}

/* width 982 */
@media (max-width: 982px) {
  .main-menu li a {
    margin: 0 15px;
  }
}

/* width 970 */
@media (max-width: 970px) {
  .pages .container .pages-details {
    justify-content: space-evenly;
  }
  .pages .container .pages-details .pages-details-img {
    width: 30%;
    margin-bottom: 3%;
  }
}

/* width 895*/
@media (max-width: 895px) {
  .main-menu li a {
    margin: 0 12px;
  }
  .elevator {
    right: 5px;
  }
}

/* width 877*/
@media (max-width: 877px) {
  .footer .head-footer .container .logo {
    width: 21%;
  }
  .footer .head-footer .container .location {
    width: 21%;
  }
  .footer .head-footer .container .location i {
    font-size: 20px;
  }
  .footer .head-footer .container .location div {
    margin-left: 12px;
  }
  .footer .head-footer .container .call {
    width: 21%;
  }
  .footer .head-footer .container .call i {
    font-size: 20px;
  }
  .footer .head-footer .container .call div {
    margin-left: 12px;
  }
  .footer .head-footer .container .social {
    width: 21%;
  }
  .footer .head-footer .container .social a {
    font-size: 20px;
  }
}

/* width 859 */
@media (max-width: 859px) {
  .header .container .search a:last-child {
    margin-left: 5px;
  }
}

/* width 853 */
@media (max-width: 853px) {
  .header .container .search {
    font-size: 18px;
  }
  .header .container .search a:last-child {
    margin-left: 3px;
  }
}

/* width 846 */
@media (max-width: 846px) {
  .header .container .search {
    font-size: 15px;
  }
  .header .container .search a:last-child {
    margin-left: 2px;
  }
}

/* width 837 */
@media (max-width: 837px) {
  .main-menu li a {
    margin: 0 10px;
  }
  .header .container .search {
    font-size: 13px;
  }
}

/* width 830*/
@media (max-width: 830px) {
  .footer .head-footer .container .logo {
    width: 60%;
  }
  .footer .head-footer .container .location {
    width: 60%;
  }
  .footer .head-footer .container .location i {
    font-size: 20px;
  }
  .footer .head-footer .container .location div {
    margin-left: 12px;
  }
  .footer .head-footer .container .call {
    width: 60%;
  }
  .footer .head-footer .container .call i {
    font-size: 20px;
  }
  .footer .head-footer .container .call div {
    margin-left: 12px;
  }
  .footer .head-footer .container .social {
    width: 60%;
  }
  .footer .head-footer .container .social a {
    font-size: 20px;
  }
}

/* width 820 */
@media (max-width: 820px) {
  .item1 .container h2,
  .item2 .container h2,
  .item3 .container h2 {
    font-size: 50px;
  }
  .item1 .container p,
  .item2 .container p,
  .item3 .container p {
    text-align: center;
  }
}

/* width 809 */
@media (max-width: 809px) {
  .header .container .logo {
    font-size: 22px;
  }
  .main .portfolio h2 {
    font-size: 30px;
  }
}

/* width 800 */
@media (max-width: 800px) {
  .main .picture .container div i {
    font-size: 40px;
  }
  .main .picture .container div h4 {
    font-size: 40px;
  }
  .main .picture .container div h5 {
    font-size: 17px;
  }
  .main .get .container .get-details {
    display: flex;
    flex-wrap: wrap;
  }
  .main .get .container .get-details div {
    width: 70%;
    margin-bottom: 15px;
  }
}

/* width 798 */
@media (max-width: 798px) {
  .main-menu li a {
    margin: 0 8px;
  }
  .header .container .search {
    font-size: 9px;
  }
  .loader {
    position: fixed;
    top: 50%;
    left: 50%;
    width: 0%;
    height: 0%;
    background-color: rgba(240, 236, 236, 0);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 100;
  }
  .loader i {
    font-size: 50px;
  }
}

/* width 788 */
@media (max-width: 788px) {
  .main .free {
    margin-top: 30px;
    margin-bottom: 10px;
  }
  .main .free h2 {
    font-size: 50px;
  }
  .main .free h3 {
    font-size: 20px;
  }
}

/* width 766 */
@media (max-width: 766px) {
  .header .container .search {
    display: none;
  }
  .main .variation h3 {
    font-size: 30px;
  }
}

/* width 756 */
@media (max-width: 756px) {
  .main .layout .container img {
    display: none;
  }
  .main .layout .container .layout-details {
    width: 70%;
    margin: 0 auto;
    margin-top: 5px;
    margin-bottom: 5px;
    text-align: center;
  }
}

/* width 746 */
@media (max-width: 746px) {
  .footer .head-footer .container .logo a,
  .footer .head-footer .container .logo span {
    font-size: 20px;
  }
  .footer .head-footer .container .location i {
    font-size: 15px;
  }
  .footer .head-footer .container .location div {
    font-size: 12px;
    line-height: 10px;
  }
  .footer .head-footer .container .call i {
    font-size: 15px;
  }
  .footer .head-footer .container .call div {
    font-size: 12px;
    line-height: 10px;
  }
  .footer .head-footer .container .social a {
    font-size: 15px;
  }
}

/* width 730 */
@media (max-width: 730px) {
  .item2 .container h2,
  .item3 .container h2 {
    font-size: 40px;
  }
}

/* width 684 */
@media (max-width: 684px) {
  .header .container .logo {
    font-size: 20px;
    padding: 10px 17px;
  }
  .main-menu li a {
    margin: 0 6px;
    padding: 30px 3px;
  }
  .header .container .search {
    display: none;
  }
  .main .variation {
    display: none;
  }
  .template-details h3 {
    margin-top: 40px;
  }
}

/* width 640 */
@media (max-width: 640px) {
  .main .portfolio .container .portfolio-img-main {
    justify-content: space-evenly;
  }
  .main .portfolio .container .portfolio-img {
    width: 40%;
    margin-bottom: 5%;
  }
  .pages .container .pages-details .pages-details-img {
    width: 29%;
  }
  .filter-btns span {
    margin: 0 5px;
  }
}

/* width 635 */
@media (max-width: 635px) {
  .header .container .logo {
    font-size: 19px;
    padding: 10px 16px;
  }
  .main-menu li a {
    font: 16px;
  }
  .main .picture .container div i {
    font-size: 30px;
  }
  .main .picture .container div h4 {
    font-size: 30px;
  }
  .main .picture .container div h5 {
    font-size: 13px;
  }
}

/* width 625 */
@media (max-width: 625px) {
  .header .container .logo {
    padding: 10px 12px;
  }
  .main-menu li a {
    font: 10px;
  }
}

/* width 617 */
@media (max-width: 617px) {
  .header .container .logo {
    padding: 10px 10px;
  }
  .main-menu li a {
    margin: 0 5px;
  }
  .item1 .container h2,
  .item2 .container h2,
  .item3 .container h2 {
    font-size: 30px;
  }
}

/* width 617 */
@media (max-width: 617px) {
  .main .portfolio h2 {
    font-size: 25px;
  }
}

/* width 601 */
@media (max-width: 601px) {
  .header .container .logo {
    padding: 10px 9px;
  }
  .main-menu li a {
    margin: 0 3px;
  }
}

/* width 590 */
@media (max-width: 590px) {
  .footer .head-footer .container .logo a,
  .footer .head-footer .container .logo span {
    font-size: 10px;
  }
  .footer .head-footer .container .location i {
    font-size: 10px;
  }
  .footer .head-footer .container .location div {
    font-size: 10px;
  }
  .footer .head-footer .container .call i {
    font-size: 10px;
  }
  .footer .head-footer .container .call div {
    font-size: 10px;
  }
  .footer .head-footer .container .social a {
    font-size: 10px;
  }
}
/* width 580 */
@media (max-width: 580px) {
  .item1 .container div,
  .item2 .container div,
  .item3 .container div {
    display: flex;
    flex-direction: column;
    margin-top: 50px;
  }
  .item1 .container div a:first-child,
  .item2 .container div a:first-child,
  .item3 .container div a:first-child {
    margin: 5px 2px;
    text-align: center;
  }
  .pages .container .pages-details {
    justify-content: space-evenly;
  }
  .pages .container .pages-details .pages-details-img {
    width: 40%;
    margin-bottom: 5%;
  }
}

/* width 575 */
@media (max-width: 575px) {
  .header .container .logo {
    padding: 10px 7px;
  }
  .main-menu li a {
    margin: 0 2px;
  }
}

/* width 559 */
@media (max-width: 559px) {
  .main-menu {
    display: none !important;
  }
  .toggle-menu-close,
  .toggle-menu-open {
    display: inline-block;
  }
  .mobile-main-menu {
    display: block;
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: -100%;
    background-color: #4e4343;
    overflow: auto;
    padding: 10px 5px 5px;
    transition: 0.3s;
    z-index: 100;
  }
  .mobile-main-menu div ul h3 > a {
    background-color: #154236;
    width: 100%;
  }
  .toggle-menu-close {
    font-size: 30px;
    position: absolute;
    right: 4px;
    top: 4px;
    background-color: black;
    padding: 10px;
    border-radius: 5px;
    color: white;
  }
  .mobile-main-menu > li > a {
    width: auto;
    min-width: 135px;
    background-color: black;
    font-size: 20px;
    font-weight: 400;
    padding: 2px 6px;
    color: white;
    text-align: center;
  }
  .mobile-main-menu a {
    display: inline-block;
    width: 60%;
    border-radius: 5px;
    padding: 2px 30px;
    transition: 0.3s;
    margin-bottom: 3px;
    /* background-color: rgb(32, 28, 28); */
    background-color: #2f8d74;
    color: white;
  }
  .main .portfolio .container .portfolio-img {
    width: 80%;
  }
}

/* width 556 */
@media (max-width: 556px) {
  .main .portfolio {
    margin-bottom: 10px;
  }
  .main .pages h3 {
    padding-top: 40px;
  }
  .filter-btns span {
    margin: 0 2px;
  }
}
/* width 500 */
@media (max-width: 500px) {
  .main .portfolio h2 {
    font-size: 20px;
  }
  .elevator {
    right: 5px;
  }
}

/* width 515 */
@media (max-width: 515px) {
  .filter-btns span {
    margin: 0 1px;
  }
  .main .get {
    margin-top: 40px;
    margin-bottom: 40px;
  }
  .main .get .container h3 {
    font-size: 25px;
  }
}

/* width 510 */
@media (max-width: 510px) {
  .main .layout .container .layout-details h3 {
    font-size: 20px;
  }
}

/* width 501 */
@media (max-width: 501px) {
  .filter-btns span {
    font-size: 15px;
  }
  .main .engine .container h3 {
    font-size: 30px;
  }
}

/* width 483 */
@media (max-width: 483px) {
  .footer .head-footer .container .logo {
    display: none;
  }
}

/* width 479 */
@media (max-width: 479px) {
  .filter-btns span {
    font-size: 12px;
  }
  .pages .container .pages-details {
    justify-content: space-evenly;
  }
  .pages .container .pages-details .pages-details-img {
    width: 70%;
    margin-bottom: 5%;
  }
  .main .picture .container div h5 {
    font-size: 10px;
  }
  .main .support .container h2 {
    margin-top: 50px;
    font-size: 30px;
  }
}

/* width 450 */
@media (max-width: 450px) {
  .item1 .container h2,
  .item2 .container h2,
  .item3 .container h2 {
    margin-top: 60px;
    font-size: 25px;
  }
  .item1 .container p,
  .item2 .container p,
  .item3 .container p {
    margin-top: 20px;
    font-size: 15px;
  }
  .item1 .container div,
  .item2 .container div,
  .item3 .container div {
    margin-top: 50px;
  }
}

/* width 440 */
@media (max-width: 440px) {
  .item1 .container div a:first-child,
  .item2 .container div a:first-child,
  .item3 .container div a:first-child {
    padding: 15px 20px;
  }
  .item1 .container div a:last-child,
  .item2 .container div a:last-child,
  .item3 .container div a:last-child {
    padding: 16px 21px;
  }
}

/* width 420 */
@media (max-width: 420px) {
  .owl-carousel .owl-nav button.owl-prev,
  .owl-carousel .owl-nav button.owl-next {
    display: none;
  }
  .loader i {
    font-size: 40px;
  }
  .loader h4 {
    font-size: 35px;
  }
  .main .free h2 {
    font-size: 30px;
  }
  .main .free h3 {
    font-size: 15px;
  }
}

/* width 414 */
@media (max-width: 414px) {
  .filter-btns span {
    font-size: 10px;
  }
}
/* width 390 */
@media (max-width: 390px) {
  .header .container .main-menu {
    text-align: center;
    font-size: 15px;
    align-items: center;
  }
  .mega ul li a {
    font-size: 10px;
  }
  .main .portfolio h2 {
    font-size: 18px;
  }
  .main .picture {
    display: none;
  }
}

/* width 386 */
@media (max-width: 386px) {
  .footer .head-footer .container .location {
    display: none;
  }
  .footer .head-footer .container .call {
    display: none;
  }
  .footer .head-footer .container .social a {
    font-size: 20px;
  }
}
/* width 375 */
@media (max-width: 375px) {
  .elevator {
    right: 5px;
    width: 30px;
    height: 30px;
  }
  .elevator i {
    font-size: 15px;
  }
}

/* width 370 */
@media (max-width: 370px) {
  .filter-btns span {
    font-size: 8px;
  }
  .template-details h3 {
    font-size: 25px;
  }
  .main .support .container h2 {
    font-size: 25px;
  }
}

/* width 326 */
@media (max-width: 326px) {
  .filter-btns span {
    font-size: 6px;
  }
}

/* width 360 */
@media (max-width: 360px) {
  .loader i {
    font-size: 30px;
  }
  .loader h4 {
    font-size: 25px;
  }
  .filter-btns span {
    font-size: 15px;
  }
  .main .engine .container h3 {
    font-size: 25px;
  }
}

/* width 346 */
@media (max-width: 346px) {
  .main .portfolio h2 {
    font-size: 15px;
  }
}

/* width 323 */
@media (max-width: 323px) {
  .item3 .container h2 {
    font-size: 20px;
  }
  .elevator {
    right: 5px;
    width: 30px;
    height: 30px;
  }
  .elevator i {
    font-size: 10px;
  }
}
